import type { IGeneric } from "../types";
import type { ILocalization } from "../types/doc";
export interface IKalemah {
    /**
     * Returns the value of the path in the active localization content.
     * @param path {string}
     * @param dynamics {object}
     * @returns {string}
     */
    k: (path: string, dynamics?: IGeneric) => any;
    /**
     * The active localization name.
     */
    activeName: () => string;
    /**
     * Set the active localization.
     */
    changeLanguage: (lng: string) => void;
    /**
     * Check if the path exists in the active localization content.
     */
    exists: (path: string) => boolean;
    /**
     * The active localization content.
     */
    activeContent: () => IGeneric;
    /**
     * Returns all the localizations content
     */
    contents: () => IGeneric[];
    /**
     * gets the value of a key in a localization content or in the active localization content.
     */
    getKey: (key: string, lngName?: string) => any;
    /**
     * returns Localization (with all the details)
     */
    getLocalization: (lngName?: string) => ILocalization | undefined;
    /**
     * returns the entire Localizations (with all the details)
     */
    getLocalizations: (lngName?: string) => ILocalization[] | undefined;
    /**
     * the direction of the localization
     */
    dir: (lngName?: string) => string | undefined;
}
/**
 * bunch of helpers to interact with the document
 */
export default function kalemah(docKey?: string): IKalemah;
