import type { IGeneric } from "../types";
import type { ILocalization } from "../types/doc";
export declare function changeLanguage({ docKey, name, }: {
    docKey: string;
    name: string;
}): string | undefined;
export declare function activeLocalizationName({ docKey, }: {
    docKey: string;
}): string | undefined;
export declare function activeLocalizationContent({ docKey, }: {
    docKey: string;
}): IGeneric | undefined;
/**
 * Returns The Active Localization
 */
export declare function activeLocalization({ docKey }: {
    docKey: string;
}): any;
/**
 * checks if the key exist in the document
 */
export declare function exists({ docKey, path, }: {
    docKey: string;
    path: string;
}): boolean;
/**
 * returns localization by name
 */
export declare function getLocalization({ docKey, name, }: {
    docKey: string;
    name?: string;
}): ILocalization | undefined;
/**
 * Get all localizations
 */
export declare function getLocalizations({ docKey }: {
    docKey: string;
}): ILocalization[] | undefined;
/**
 * gets a property in an object based on string
 *
 * e.g. => "k1.c.p" or or "k1.['c']['0']"
 */
export declare function getObjPath(obj: IGeneric, path: string): any;
